librevenge::RVNGSVGDrawingGeneratorPrivate Struct Reference documentation

librevenge::RVNGSVGDrawingGeneratorPrivate Struct Reference

## Public Member Functions
| RVNGSVGDrawingGeneratorPrivate (RVNGStringVector &vec, const RVNGString &nmSpace)
void | setStyle (const RVNGPropertyList &propList)
void | writeStyle (bool isClosed=true)
void | drawPolySomething (const RVNGPropertyListVector &vertices, bool isClosed)
std::string const & | getNamespaceAndDelim () const
| return the namespace and the delimiter

## Public Attributes
std::map< int, RVNGPropertyList > | m_idSpanMap
RVNGPropertyListVector | m_gradient
RVNGPropertyList | m_style
int | m_gradientIndex
int | m_shadowIndex
int | m_patternIndex
| index uses when fill=bitmap
int | m_arrowStartIndex
| start arrow index
int | m_arrowEndIndex
| end arrow index
int | m_groupId
| groupId used if svg:id is not defined when calling openGroup
int | m_layerId
| layerId used if svg:id is not defined when calling startLayer
std::string | m_nmSpace
| a prefix used to define the svg namespace
std::string | m_nmSpaceAndDelim
| a prefix used to define the svg namespace with delimiter
std::ostringstream | m_outputSink
RVNGStringVector & | m_vec
RVNGString | m_masterName
| the actual master name
std::map< RVNGString, std::string > | m_masterNameToContentMap
| a map master name to master content
std::shared_ptr< Table > | m_table
| the actual opened table

## Constructor & Destructor Documentation

## ◆ RVNGSVGDrawingGeneratorPrivate()

librevenge::RVNGSVGDrawingGeneratorPrivate::RVNGSVGDrawingGeneratorPrivate | ( | RVNGStringVector & | vec,
|  | const RVNGString & | nmSpace )

## Member Function Documentation

## ◆ drawPolySomething()

void librevenge::RVNGSVGDrawingGeneratorPrivate::drawPolySomething | ( | const RVNGPropertyListVector & | vertices,
|  | bool | isClosed )

## ◆ getNamespaceAndDelim()

std::string const & librevenge::RVNGSVGDrawingGeneratorPrivate::getNamespaceAndDelim | ( |  | ) | const
| inline

return the namespace and the delimiter

Referenced by drawPolySomething(), and setStyle().

## ◆ setStyle()

void librevenge::RVNGSVGDrawingGeneratorPrivate::setStyle | ( | const RVNGPropertyList & | propList | ) |

## ◆ writeStyle()

void librevenge::RVNGSVGDrawingGeneratorPrivate::writeStyle | ( | bool | isClosed = true | ) |

Referenced by drawPolySomething().

## Member Data Documentation

## ◆ m_arrowEndIndex

int librevenge::RVNGSVGDrawingGeneratorPrivate::m_arrowEndIndex

end arrow index

Referenced by RVNGSVGDrawingGeneratorPrivate(), setStyle(), and writeStyle().

## ◆ m_arrowStartIndex

int librevenge::RVNGSVGDrawingGeneratorPrivate::m_arrowStartIndex

start arrow index

Referenced by RVNGSVGDrawingGeneratorPrivate(), setStyle(), and writeStyle().

## ◆ m_gradient

RVNGPropertyListVector librevenge::RVNGSVGDrawingGeneratorPrivate::m_gradient

Referenced by RVNGSVGDrawingGeneratorPrivate(), and setStyle().

## ◆ m_gradientIndex

int librevenge::RVNGSVGDrawingGeneratorPrivate::m_gradientIndex

Referenced by RVNGSVGDrawingGeneratorPrivate(), setStyle(), and writeStyle().

## ◆ m_groupId

int librevenge::RVNGSVGDrawingGeneratorPrivate::m_groupId

groupId used if svg:id is not defined when calling openGroup

Referenced by RVNGSVGDrawingGeneratorPrivate().

## ◆ m_idSpanMap

std::map<int, RVNGPropertyList> librevenge::RVNGSVGDrawingGeneratorPrivate::m_idSpanMap

Referenced by RVNGSVGDrawingGeneratorPrivate().

## ◆ m_layerId

int librevenge::RVNGSVGDrawingGeneratorPrivate::m_layerId

layerId used if svg:id is not defined when calling startLayer

Referenced by RVNGSVGDrawingGeneratorPrivate().

## ◆ m_masterName

RVNGString librevenge::RVNGSVGDrawingGeneratorPrivate::m_masterName

the actual master name

Referenced by RVNGSVGDrawingGeneratorPrivate().

## ◆ m_masterNameToContentMap

std::map<RVNGString, std::string> librevenge::RVNGSVGDrawingGeneratorPrivate::m_masterNameToContentMap

a map master name to master content

Referenced by RVNGSVGDrawingGeneratorPrivate().

## ◆ m_nmSpace

std::string librevenge::RVNGSVGDrawingGeneratorPrivate::m_nmSpace

a prefix used to define the svg namespace

Referenced by RVNGSVGDrawingGeneratorPrivate().

## ◆ m_nmSpaceAndDelim

std::string librevenge::RVNGSVGDrawingGeneratorPrivate::m_nmSpaceAndDelim

a prefix used to define the svg namespace with delimiter

Referenced by getNamespaceAndDelim(), and RVNGSVGDrawingGeneratorPrivate().

## ◆ m_outputSink

std::ostringstream librevenge::RVNGSVGDrawingGeneratorPrivate::m_outputSink

Referenced by drawPolySomething(), RVNGSVGDrawingGeneratorPrivate(), setStyle(), and writeStyle().

## ◆ m_patternIndex

int librevenge::RVNGSVGDrawingGeneratorPrivate::m_patternIndex

index uses when fill=bitmap

Referenced by RVNGSVGDrawingGeneratorPrivate(), setStyle(), and writeStyle().

## ◆ m_shadowIndex

int librevenge::RVNGSVGDrawingGeneratorPrivate::m_shadowIndex

Referenced by RVNGSVGDrawingGeneratorPrivate(), setStyle(), and writeStyle().

## ◆ m_style

RVNGPropertyList librevenge::RVNGSVGDrawingGeneratorPrivate::m_style

Referenced by RVNGSVGDrawingGeneratorPrivate(), setStyle(), and writeStyle().

## ◆ m_table

std::shared_ptr<Table> librevenge::RVNGSVGDrawingGeneratorPrivate::m_table

the actual opened table

Referenced by RVNGSVGDrawingGeneratorPrivate().

## ◆ m_vec

RVNGStringVector& librevenge::RVNGSVGDrawingGeneratorPrivate::m_vec

Referenced by RVNGSVGDrawingGeneratorPrivate().

The documentation for this struct was generated from the following file:

- RVNGSVGDrawingGenerator.cpp